About Fast Note

aedix Fast Note Manual
Table of Contents | Next: 2. Tray Icon

1. About Fast Note
Fast Note is an useful program, thought for those people that ALWAYS need a little piece of paper to write to some useful infos when they're sit down near their PC. Now, after years and years of tiny sheets, you'll have the possibility to have everything on your desktop, easy to be recalled when you need it. The program will put an icon in the task-bar, and, with a simple double-click of your mouse, you can write down the precious info that, if you want, will be always visible on the desktop. You can have various KFN windows opened simultaneously, all resizable by user's demand. And when you have finished, you can delete (forever) or close (momentaneously) the note. Very simple!
Now it has a builtin TODO list manager.

copyright 2000-2003 Kirys Tech 2000


Tray Icon

Table of Contents | Previous: 1. About Fast Note | Next: 3. Notes

2. Tray Icon
2.1. Tray Icon
2.2. Tray Icon Menu


Tray Icon

Table of Contents | Up: 2. Tray Icon | Next: 2.2. Tray Icon Menu

2.1. Tray Icon

You can call KFN from here! Just a doubleclick on your mouse and it will be ready for you to write your precious notes. A click with the left button will recall all the opened notes on your desktop. Right click it to show the Tray Icon Menu.


Tray Icon

Table of Contents | Up: 2. Tray Icon | Previous: 2.1. Tray Icon

2.2. Tray Icon

  • New note: well, you can write a new note!
  • Show Notes Manager.: All your existing notes are here. You can manage all your notes from here.
  • My ToDo List: This open the ToDo list manager

  • Setup: For customizing your notes.
  • Help: shows this Help file.
  • Make a Donation: If you want to help us...:)!
  • Kirys 2000 Tech Website: Let's see this site!
  • About Fast Note: shows other infos about the program (current version, URL of the Home Page, etc).
  • Exit: Close the program until a new Windows session starts (or until a new session of KFN will start).


Notes

Table of Contents | Previous: 2. Tray Icon | Next: 4. Notes Manager

3. Notes
3.1. Note Window
3.2. Note Menu
3.3. Note Popupmenu
3.4. Note Properties
3.4.1. General
3.4.2. Appearance
3.4.3. AutoShow
3.4.4. Alarm


Note window

Table of Contents | Up: 3. Notes | Next: 3.2. Note Menu

3.1. Note window
Note
That is where you will write the notes. Remember that these windows are completely resizable like all normal windows, and they will be "on top" until you start another application.

Left clicking on this button will show the Note Menu.

Left clicking on this button will open the linked file.

Left clicking on this button will close the note.


Note System Menu

Table of Contents | Up: 3. Notes | Previous: 3.1. Note Window | Next: 3.3. Note Popupmenu

3.2. Note System Menu

  • Always On Top: your note always visible on your desktop
  • Close For: Choose the time you want to close the note for. The not will show again after that time is elapsed
  • Customize: it shows the Note Configuration Dialog.
  • Delete note: the program will ask you to remove permanently the note. The program asks you to remove permanently the note. If "no", the note will remain on your pc.
  • Close note: the program will momentaneously quit the note. you can open the note again using the Notes Manager


Note Popup Menu

Table of Contents | Up: 3. Notes | Previous: 3.2. Note Menu | Next: 3.4. Note Properties

3.3. Note Popup Menu

This menu shows when you right click on the note text-area

  • Style: changes the style of your writings.
    • Plain: converts in Plain text
    • Bold: converts in Bold text
    • Italic: converts in Italic text
    • Underline: underlines the text
    • Strikeout: strikes out the text
  • Font: changes the font, its style, its size, its colour and does other effects (underline, strikeout)
  • Cut: cuts the text and leaves it in the clipboard for future operations.
  • Copy: copies the text.
  • Paste: pastes the text previously cut or copied.
  • Delete: deletes the text.
  • Select all: selects all the text
  • Undo: un-does the last operation (note: the undo history is lost when a note is closed or if fastnote itself is closed).


Note Properties

Table of Contents | Up: 3. Notes | Previous: 3.3. Note Popupmenu

3.4. Note Properties
Not Done
3.4.1. General
3.4.2. Appearance
3.4.3. AutoShow
3.4.4. Alarm


Note General

Table of Contents | Up: 3.4. Note Properties | Next: 3.4.2. Appearance

3.4.1. Note General

Here you can change the note title, the group and attach a file to the note.
Changes will not be applied till ok button is pressed.

The Attacched file can be launched (if it is an exe file, or a file that have a default application associated with it) pressing the [image] button on the note window


Note Appearance

Table of Contents | Up: 3.4. Note Properties | Previous: 3.4.1. General | Next: 3.4.3. AutoShow

3.4.2. Note Appearance

here you can change the title color, the note color and the title font.
Changes will not be applied till ok button is pressed.


Note Autoshow

Table of Contents | Up: 3.4. Note Properties | Previous: 3.4.2. Appearance | Next: 3.4.4. Alarm

3.4.3. Note Autoshow

this feature lets you decide the time the note will be shown.
Changes will not be applied till ok button is pressed.


Note Alarm

Table of Contents | Up: 3.4. Note Properties | Previous: 3.4.3. AutoShow

3.4.4. Note Alarm

you can set an alarm time to the note.

NOTE: If the note is closed when the allarm is fired the not will be shown again!


Notes Manager

Table of Contents | Previous: 3. Notes | Next: 5. Configuration

4. Notes Manager
The Notes Manager allows to organize all your notes.
4.1. Notes Manager Window


Notes Manager Window

Table of Contents | Up: 4. Notes Manager

4.1. Notes Manager Window
Notes Manager

This window shows all notes available (visible or not), you can show and hide and edit them using the popupmenu.


Configuration

Table of Contents | Previous: 4. Notes Manager | Next: 6. My TODO List

5. Configuration
5.1. Options
5.2. Default note style


Configuration options

Table of Contents | Up: 5. Configuration | Next: 5.2. Default note style

5.1. Configuration options

  • Enable safe save: enables safe-save mode
  • Note animations: enables the animations
  • Transparent notes: makes your notes completely transparent, according to the background! (this feature is available only on Win 2K/XP)
  • Alarm Sound File: select your favourite sound for the alarm-mode


Configuration default note style

Table of Contents | Up: 5. Configuration | Previous: 5.1. Options

5.2. Configuration default note style

  • Title Color: allows to change the background color of the title.
  • Note Color: allows to change the background color of the note.
  • Title Font: allows to change the title font.
  • Note Default Font: allows to change the note default font.
NOTE: The changes to this dialog affects only notes that have all color preferences set to default.


ToDO

Table of Contents | Previous: 5. Configuration | Next: 7. Credits

6. ToDO
This is a simple TODO list Manager.
6.1. My TODO List Window
6.2. Task related buttons
6.3. Project Menu


My TODO List Window

Table of Contents | Up: 6. My TODO List | Next: 6.2. Task related buttons

6.1. My TODO List Window

This is the Fast Note ToDO list manager window.
You can add the task to a project and you will indicate with the checkbox if the task had been completed or not.

To add and remove tasks you have to use the Task buttons, to create, edit, and print the project you have to use the Project menu

Right clicking on a tkast you will be able to select the task priority. All task will be sorted by priority.


Tasks related buttons

Table of Contents | Up: 6. My TODO List | Previous: 6.1. My TODO List Window | Next: 6.3. Project Menu

6.2. Tasks related buttons
  • You can add an item to the current project with this button.
  • You can remove the selected item with this button.
  • You can rename the selected task using this button.
  • This button will remove all completed task.


Project Menu

Table of Contents | Up: 6. My TODO List | Previous: 6.2. Task related buttons

6.3. Project Menu


Credits

Table of Contents | Previous: 6. My TODO List

7. Credits

Fast Note Copyright (2000-2003) Kirys Tech 2000.

Installer
Inno Setup by Jordan Russel Software

Code part
JVCL portions are licensed from Project JEDI, and the source code can be obtained from http://jvcl.sourceforge.net

Thanks to: (in alfabetical order)
  • SpiderMax for helping me with the documentation.
  • Onnodb: for his support and the AV fix


 Fast Note Manual

Author: Kirys Tech 2000

Company: Kirys Tech 2000

Revision: $Revision: 1.11 $

Last Modified:

aedix Fast Note Manual
Table of Contents
1. About Fast Note
2. Tray Icon
2.1. Tray Icon
2.2. Tray Icon Menu
3. Notes
3.1. Note Window
3.2. Note Menu
3.3. Note Popupmenu
3.4. Note Properties
3.4.1. General
3.4.2. Appearance
3.4.3. AutoShow
3.4.4. Alarm
4. Notes Manager
4.1. Notes Manager Window
5. Configuration
5.1. Options
5.2. Default note style
6. My TODO List
6.1. My TODO List Window
6.2. Task related buttons
6.3. Project Menu
7. Credits